@import "https://cdnjs.cloudflare.com/ajax/libs/10up-sanitize.css/7.0.3/sanitize.min.css"
@import url( "https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900" )
@require "base/utiles"
@require "~nib/index"

global-reset(  )
reset-html5(  )

html *
	// background-color rgba( 0, 0, 0, 0.05 )
	// outline 1px solid rgba( 255, 0, 0, .3 )
	&:hover
		// outline 1px solid rgba( 255, 0, 255, 0.5 )

fuente( "EMprint", "EMprint-LightItalic", 300, italic )
fuente( "EMprint", "EMprint-Light", 300, normal )
fuente( "EMprint", "EMprint-Regular", normal, normal )
fuente( "EMprint", "EMprint-Bold", bold, normal )
fuente( "EMprint", "EMprint-BoldItalic", bold, italic )

// fuente( "Bree Peru", "BreePeru-Bold", bold )
// fuente( "Bree Peru", "BreePeruLt-Oblique", 300, italic )
// fuente( "Bree Peru", "BreePeru-BoldOblique", bold, italic )
// fuente( "Bree Peru", "BreePeru-Oblique", normal, italic )
// fuente( "Bree Peru", "BreePeru-Light", 300, normal )
body
	min-height 100vh
	margin 0
	padding 0
	overflow-x hidden
	scroll-behavior smooth
	// -webkit-overflow-scrolling auto

strong
	font-weight bolder

img
	max-width 100%

div,
figure
	line-height 1

	img
		display block
		margin 0 auto

/*
@require "partes/precarga"
@require "partes/pagina"
@require "partes/encabezado"
@require "partes/navegacion"
@require "partes/pie"
@require "partes/formulario"
@require "partes/emergentes"
*/
button
	cursor pointer
	border none
	outline none

.icon
	max-width 100%

.v-popper
	&__arrow
		width 0
		height 0
		border-style solid
		position absolute
		margin 5px
		border-color black
		z-index 1

	&__popper
		display block !important
		z-index 10000

		&[x-placement^="top"]
			margin-bottom 5px

			.v-popper__arrow
				border-width 5px 5px 0 5px
				border-left-color transparent !important
				border-right-color transparent !important
				border-bottom-color transparent !important
				bottom -5px
				left calc( 50% - 5px )
				margin-top 0
				margin-bottom 0

		&[x-placement^="bottom"]
			margin-top 5px

			.v-popper__arrow
				border-width 0 5px 5px 5px
				border-left-color transparent !important
				border-right-color transparent !important
				border-top-color transparent !important
				top -5px
				left calc( 50% - 5px )
				margin-top 0
				margin-bottom 0

		&[x-placement^="right"]
			margin-left 5px

			.v-popper__arrow
				border-width 5px 5px 5px 0
				border-left-color transparent !important
				border-top-color transparent !important
				border-bottom-color transparent !important
				left -5px
				top calc( 50% - 5px )
				margin-left 0
				margin-right 0

		&[x-placement^="left"]
			margin-right 5px

			.v-popper__arrow
				border-width 5px 0 5px 5px
				border-top-color transparent !important
				border-right-color transparent !important
				border-bottom-color transparent !important
				right -5px
				top calc( 50% - 5px )
				margin-left 0
				margin-right 0

		&[aria-hidden="true"]
			visibility hidden
			opacity 0
			transition opacity .15s, visibility .15s

		&[aria-hidden="false"]
			visibility visible
			opacity 1
			transition opacity .15s

	&__inner
		font-family EMprint
		max-width 8rem
		text-align center
		background-color negro
		color blanco
		border-radius 16px
		padding 5px 10px 4px
